package com.fjhx.xmhjc.entity.column.po;

import com.ruoyi.common.core.domain.BaseIdPo;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 栏目菜单表
 * </p>
 *
 * @author lqh
 * @since 2023-11-15
 */
@Getter
@Setter
@TableName("column_menu")
public class ColumnMenu extends BaseIdPo {

    /**
     * 栏目名称
     */
    private String name;

    /**
     * 栏目类型1=列表；2=图文；3=外链
     */
    private String type;

    /**
     * 图文富文本
     */
    private String content;

    private String url;

    /**
     * 排序
     */
    private int sort;

    /**
     * 状态
     */
    private String status;

    /**
     * 列表类型1=9宫格，2=图文列表，3=纯文本列表
     */
    private String listType;

    /**
     * 是否开启相关文章
     */
    private String isRelated;

}
