package com.fjhx.xmhjc.mapper.topic;

import com.fjhx.xmhjc.entity.topic.po.TopicReplies;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.topic.vo.TopicRepliesVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 主题回复 Mapper 接口
 * </p>
 *
 * @author hj
 * @since 2023-11-20
 */
public interface TopicRepliesMapper extends BaseMapper<TopicReplies> {

    /**
     * 主题回复列表
     */
    List<TopicRepliesVo> getList(@Param("ew") IWrapper<TopicReplies> wrapper);

    /**
     * 主题回复分页
     */
    Page<TopicRepliesVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<TopicReplies> wrapper);

}
