package com.fjhx.xmhjc.controller.open;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.carousel.dto.CarouselManagerSelectDto;
import com.fjhx.xmhjc.entity.carousel.vo.CarouselManagerVo;
import com.fjhx.xmhjc.entity.product.dto.ProductInfoSelectDto;
import com.fjhx.xmhjc.entity.product.vo.ProductCategoryVo;
import com.fjhx.xmhjc.entity.product.vo.ProductInfoVo;
import com.fjhx.xmhjc.service.carousel.CarouselManagerService;
import com.fjhx.xmhjc.service.product.ProductCategoryService;
import com.fjhx.xmhjc.service.product.ProductInfoService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

@RestController
@RequestMapping("/open/carousel")
public class OpenCarouselController {
    @Resource
    private CarouselManagerService carouselManagerService;

    @PostMapping("/list")
    public Page<CarouselManagerVo> categoryList(CarouselManagerSelectDto dto) {
        Page<CarouselManagerVo> page = carouselManagerService.pageByOpen(dto);
        return page;
    }

}
