package com.fjhx.xmhjc.entity.about.vo;

import com.fjhx.file.entity.FileInfoVo;
import com.fjhx.xmhjc.entity.about.po.AboutUsBaseInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 关于我们-基础信息列表查询返回值实体
 *
 * @author lqh
 * @since 2023-11-12
 */
@Getter
@Setter
public class AboutUsBootInfoVo {

    /**
     * 联系方式1
     */
    private String mobileOne;

    /**
     * 联系方式2
     */
    private String mobileTwo;

    /**
     * 公司地址
     */
    private String address;

    /**
     * 电子邮件mail
     */
    private String email;

    /**
     * 备案号
     */
    private String filingNumber;

    /**
     * 公众号图片
     */
    List<FileInfoVo> gzhQrCodeList;
}
